Ticket #33306

本家版 2014.2 に向けたユーザーガイドなどの翻訳

Open Date: 2014-03-03 08:33 Last Update: 2014-05-12 15:44

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 翻訳 MileStone: 2014.2 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

翻訳チームの subversion リポジトリに 2014.2 の changes が入り始めました。

= 2014.2 =

== New Features ==
- Announcement of text selection is now possible in some custom edit fields where display information is used. (#770)
- In accessible Java applications, position information is now announced for radio buttons and other controls that expose group information. (#3754)
- In accessible Java applications, keyboard shortcuts are now announced for controls that have them. (#3881)


== Bug Fixes ==
- The standard Windows System menu is no longer accidentally silenced in Java applications (#3882)

Attachment File List

No attachments

Ticket History (3/14 Histories)

2014-03-03 08:33 Updated by: nishimoto
  • New Ticket "本家版 2014.2 に向けたユーザーガイドなどの翻訳" created
2014-03-20 18:13 Updated by: nishimoto
Comment

ユーザーガイドの誤字を見つけました。

4.2.1. NVDA制御キー
NVDAを制御するキーボードコマンドは、NVDA制御キーとよばれる特別なキーと、
他のの1個または複数のキーを組み合わせです。

訂正:
他の1個または複数のキーの組み合わせです。
2014-04-13 11:14 Updated by: nishimoto
Comment

ユーザーガイドの誤字を見つけました。

1.5. ライセンスと著作権
(略)
この規定は、オリジナルのソフトウェアと改良販を含むソフトウェアのコピー、さらにその派生物にも適用されます。

訂正:
改良版
2014-04-25 14:31 Updated by: nishimoto
Comment

nvda.po の更新の記録です:

region はウェブのライブリージョンなどの通知で使われるようですが「リージョン」ではなく「範囲」にしました。

「外部アプリケーションからの文字入力(&A)」は、次のバージョンでキーボード設定に追加されるオプションです。 ベトナム語のIMEや Google 音声認識アドオンなど、文字入力を不必要に読み上げる場合にこのオプションが役立つようです。

Index: nvda.po
===================================================================
--- nvda.po     (revision 15085)
+++ nvda.po     (working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2014-04-22 19:10+1000\n"
-"PO-Revision-Date: 2014-02-10 22:38+0900\n"
+"PO-Revision-Date: 2014-04-25 14:26+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -124,7 +124,7 @@

 #. Translators: Reported for a significant region, normally found on web pages.

 msgid "region"
-msgstr ""
+msgstr "範囲"

 #. Translators: The name of a braille table displayed in the
 #. braille settings dialog.
@@ -4841,7 +4841,7 @@
 #. Translators: This is the label for a checkbox in the
 #. keyboard settings dialog.
 msgid "Handle keys from other &applications"
-msgstr ""
+msgstr "外部アプリケーションからの文字入力(&A)"

 #. Translators: Message to report wrong configuration of the NVDA key
 msgid "At least one key must be used as the NVDA key."
2014-04-25 14:37 Updated by: nishimoto
Comment

svn revision 15087 にて本チケットに過去にコメントしたユーザーガイドの誤記を修正しました。

Index: userGuide.t2t
===================================================================
--- userGuide.t2t       (revision 15085)
+++ userGuide.t2t       (working copy)
@@ -52,7 +52,7 @@

 NVDAはGNU 一般公衆利用許諾契約書 (Version 2) によって保護されています。
 この内容に同意いただき、必要としている方にソースコードを提供していただける場合
、本ソフトウェアの配布や改良は自由に行うことができます。
-この規定は、オリジナルのソフトウェアと改良販を含むソフトウェアのコピー、さらに
その派生物にも適用されます。
+この規定は、オリジナルのソフトウェアと改良版を含むソフトウェアのコピー、さらに
その派生物にも適用されます。
 本ライセンスについての詳細は、[オンライン http://www.gnu.org/licenses/old-licen
ses/gpl-2.0.html]で確認してください。

 + システム要件 +
@@ -151,7 +151,7 @@
 ++ NVDAのキーボードコマンドについて ++

 +++ NVDA制御キー +++
-NVDAを制御するキーボードコマンドは、NVDA制御キーとよばれる特別なキーと、他のの1
個または複数のキーを組み合わせです。
+NVDAを制御するキーボードコマンドは、NVDA制御キーとよばれる特別なキーと、他の1個
または複数のキーの組み合わせです。
 ただし、デスクトップ配列におけるテキストレビューのコマンドで、テンキーを単独で
使うことがあります。この他にもいくつか、例外的に NVDA 制御キーを使わないコマンド
があります。

 InsertキーおよびCaps LockキーをNVDAキーとして利用するように設定できます。
2014-04-25 15:45 Updated by: nishimoto
Comment

チケット #33226 「システムキャレット」「レビュー」などに関する翻訳の再検討 で指摘した問題のうち、「マウス」に関する修正だけを下記の通りコミットしました。

行ったこと:

(1) 可能な限り「マウスポインター」ではなく「マウスカーソル」に統一。「マウス位置」は「マウスカーソル位置」に統一。 (2) マウス設定ダイアログの項目名を機能に合わせてわかりやすくする、またショートカットキー操作が抜けているものを補う (3) ユーザーガイドと設定画面の表記をそろえる

Committed revision 15089

Index: nvda.po
===================================================================
--- nvda.po	(revision 15088)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2014-04-22 19:10+1000\n"
-"PO-Revision-Date: 2014-04-25 14:45+0900\n"
+"PO-Revision-Date: 2014-04-25 15:25+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -1615,7 +1615,7 @@
 
 #. Translators: Input help mode message for left mouse click command.
 msgid "Clicks the left mouse button once at the current mouse position"
-msgstr "現在のマウス位置で左マウスボタンを1回クリック"
+msgstr "現在のマウスカーソル位置で左マウスボタンを1回クリック"
 
 #. Translators: Reported when right mouse button is clicked.
 msgid "right click"
@@ -1623,11 +1623,11 @@
 
 #. Translators: Input help mode message for right mouse click command.
 msgid "Clicks the right mouse button once at the current mouse position"
-msgstr "現在のマウス位置で右マウスボタンを1回クリック"
+msgstr "現在のマウスカーソル位置で右マウスボタンを1回クリック"
 
 #. Translators: This is presented when the left mouse button lock is released (used for drag and drop).
 msgid "left mouse button unlock"
-msgstr "左マウスボタンアンロック"
+msgstr "左マウスボタンロック解除"
 
 #. Translators: This is presented when the left mouse button is locked down (used for drag and drop).
 msgid "left mouse button lock"
@@ -1639,7 +1639,7 @@
 
 #. Translators: This is presented when the right mouse button lock is released (used for drag and drop).
 msgid "right mouse button unlock"
-msgstr "右マウスボタンをアンロック"
+msgstr "右マウスボタンをロック解除"
 
 #. Translators: This is presented when the right mouse button is locked down (used for drag and drop).
 msgid "right mouse button lock"
@@ -1739,17 +1739,18 @@
 
 #. Translators: Input help mode message for move mouse to navigator object command.
 msgid "Moves the mouse pointer to the current navigator object"
-msgstr "マウスポインターを現在のナビゲーターオブジェクトに移動"
+msgstr "マウスカーソルを現在のナビゲーターオブジェクトに移動"
 
 #. Translators: Reported when attempting to move the navigator object to the object under mouse pointer.
 msgid "Move navigator object to mouse"
-msgstr "ナビゲーターオブジェクトをマウス位置に移動"
+msgstr "ナビゲーターオブジェクトをマウスカーソル位置に移動"
 
 #. Translators: Input help mode message for move navigator object to mouse command.
 msgid ""
 "Sets the navigator object to the current object under the mouse pointer and "
 "speaks it"
-msgstr "ナビゲーターオブジェクトをマウス位置のオブジェクトに移動して読み上げ"
+msgstr ""
+"ナビゲーターオブジェクトをマウスカーソル位置のオブジェクトに移動して読み上げ"
 
 #. Translators: reported when there are no other available review modes for this object
 msgid "No next review mode"
@@ -2095,15 +2096,15 @@
 
 #. Translators: presented when the mouse tracking is toggled.
 msgid "Mouse tracking off"
-msgstr "マウス追跡しない"
+msgstr "マウスカーソル移動時の情報通知しない"
 
 #. Translators: presented when the mouse tracking is toggled.
 msgid "Mouse tracking on"
-msgstr "マウス追跡する"
+msgstr "マウスカーソル移動時の情報通知する"
 
 #. Translators: Input help mode message for toggle mouse tracking command.
 msgid "Toggles the reporting of information as the mouse moves"
-msgstr "マウス移動時の情報通知の切り替え"
+msgstr "マウスカーソル移動時の情報通知の切り替え"
 
 #. Translators: Reported when there is no title text for current program or window.
 msgid "no title"
@@ -3838,9 +3839,7 @@
 msgstr "マウス設定(&M)..."
 
 msgid "Change reporting of mouse shape and object under mouse"
-msgstr ""
-"マウスポインター形状の変更や、マウスポインター位置のオブジェクトの通知に関す"
-"る変更"
+msgstr "マウスカーソル形状の変更やマウスカーソル位置のオブジェクトの通知"
 
 #. Translators: The label for the menu item to open Review Cursor dialog.
 msgid "Review &cursor..."
@@ -4854,12 +4853,12 @@
 #. Translators: This is the label for a checkbox in the
 #. mouse settings dialog.
 msgid "Report mouse &shape changes"
-msgstr "マウスポインター形状の変化を通知(&S)"
+msgstr "マウスカーソル形状の変化を通知(&S)"
 
 #. Translators: This is the label for a checkbox in the
 #. mouse settings dialog.
 msgid "Enable mouse &tracking"
-msgstr "マウスの追跡を有効にする(&T)"
+msgstr "マウスカーソル位置のテキストの通知(&T)"
 
 #. Translators: This is the label for a combobox in the
 #. mouse settings dialog.
@@ -4873,17 +4872,17 @@
 #. Translators: This is the label for a checkbox in the
 #. mouse settings dialog.
 msgid "Report &role when mouse enters object"
-msgstr "マウスが重なったオブジェクトの通知(&R)"
+msgstr "マウスカーソル位置の要素の種類を通知(&R)"
 
 #. Translators: This is the label for a checkbox in the
 #. mouse settings dialog.
 msgid "play audio coordinates when mouse moves"
-msgstr "マウス移動時ビープ音で通知"
+msgstr "マウスカーソルの座標をビープ音で通知(&P)"
 
 #. Translators: This is the label for a checkbox in the
 #. mouse settings dialog.
 msgid "brightness controls audio coordinates volume"
-msgstr "マウス位置の明るさをビープ音の音量の変化で通知"
+msgstr "マウスカーソル位置の明るさをビープ音の音量で通知(&B)"
 
 #. Translators: This is the label for the review cursor settings dialog.
 msgid "Review Cursor Settings"
Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 15087)
+++ userGuide.t2t	(working copy)
@@ -19,7 +19,7 @@
 - Webブラウザー、電子メールクライアント、インターネットチャットプログラム及びオフィス関連アプリケーションを含む主要なアプリケーションのサポート
 - 43ヶ国語以上の言語に対応した音声エンジンを同梱
 - 利用可能な場合、フォント名、サイズ、スタイル及びスペルミスといった書式情報を通知可能
-- マウス位置のテキスト自動読み上げと、音によりマウスカーソルの位置を通知できるオプション
+- マウスカーソル位置のテキスト自動読み上げと、音によりマウスカーソルの位置を通知できるオプション
 - 数多くの点字ディスプレイのサポートと、点字ディスプレイに点字入力キーがある場合のコンピューター点字の入力
 - インストールなしでUSBメモリーや他の携帯型メディアから実行が可能
 - 簡単に利用できるトーキングインストーラー
@@ -415,15 +415,15 @@
 新しいアプリケーションにおいては、NVDA で画面上のテキストの一部またはすべてが確認できないことがあります。これは画面表示に使われている技術が現在のNVDAでは対応できないためです。
   
 ++ マウスによる移動 ++
-NVDAはデフォルトの設定の場合、マウスを動かすと、マウスポインターの直下にあるテキストをその移動に応じて通知します。
+NVDAはデフォルトの設定の場合、マウスを動かすと、マウスカーソルの直下にあるテキストをその移動に応じて通知します。
 サポートされている場合、テキストを段落単位で読むことができますが、一部のコントロールでは1行単位での読み上げしか行えないこともあります。
 
-またNVDAは、 (リストやボタンなどの) マウスが通過したコントロール項目の種類や[オブジェクト #Objects]の種類を通知することもできます。
+またNVDAは、 (リストやボタンなどの) マウスカーソルが通過したコントロール項目の種類や[オブジェクト #Objects]の種類を通知することもできます。
 この機能は、全盲のNVDA利用者がテキストだけでは情報が不十分だと感じるときに利用できるかもしれません。
 
-NVDAは、ビープ音の変化によってマウスポインターが画面上のどこに位置しているかを利用者に通知する機能を持っています。
-音程が高くなることでマウスポインターが画面上の上に移動していることを表します。
-ビープ音が右より、または左よりに移動することでマウスの左右への移動を表します (利用者がステレオ出力できるスピーカーを使用している場合に有効です) 。
+NVDAは、ビープ音の変化によってマウスカーソルが画面上のどこに位置しているかを利用者に通知する機能を持っています。
+音程が高くなることでマウスカーソルが画面上の上に移動していることを表します。
+ビープ音が右より、または左よりに移動することでマウスカーソルの左右への移動を表します (利用者がステレオ出力できるスピーカーを使用している場合に有効です) 。
 
 これらの追加機能はデフォルト設定では有効になっていません。
 もしこれらの機能を利用したい場合は、NVDAの設定メニューにある[マウス設定 #MouseSettings]ダイアログから動作を変更してください。
@@ -436,7 +436,7 @@
 | 右マウスクリック | テンキーアスタリスク | NVDA+閉じ角カッコ | 右マウスボタンをクリックします。 |
 | 右マウスボタンロック | Shift+テンキーアスタリスク | NVDA+Ctrl+閉じ角カッコ | 右マウスボタンをロックします。もう1回押すとロックを解除します。ドラッグするにはこのキーで右マウスボタンをロックし、マウスを移動するかマウス移動用コマンドを用いてマウスを移動します。 |
 | マウスを現在のナビゲーターオブジェクトに移動 | NVDA+テンキースラッシュ | NVDA+Shift+M | マウスを現在のナビゲーターオブジェクト及びレビューカーソルに移動します。 |
-| マウス位置のオブジェクトに移動 | NVDA+テンキーアスタリスク | NVDA+Shift+N | ナビゲーターオブジェクトをマウス位置のオブジェクトに移動します。 |
+| マウスカーソル位置のオブジェクトに移動 | NVDA+テンキーアスタリスク | NVDA+Shift+N | ナビゲーターオブジェクトをマウスカーソル位置のオブジェクトに移動します。 |
 %kc:endInclude
 
 + ブラウズモード +
@@ -824,28 +824,28 @@
 マウス設定ダイアログは、設定メニューの"マウス設定..."の中にあります。
 この中には以下のオプションが含まれています。
 
-==== マウスポインター形状の変化を通知 ====
-このチェックボックスがチェックされていると、NVDAはマウスポインターの形状が変化するたびにそれを通知します。
-Windowsのマウスポインターは、例えば編集可能や読み込み中のように、その変化で情報を表すことがあります。
+==== マウスカーソル形状の変化を通知 ====
+このチェックボックスがチェックされていると、NVDAはマウスカーソルの形状が変化するたびにそれを通知します。
+Windowsのマウスカーソルは、例えば編集可能や読み込み中のように、その変化で情報を表すことがあります。
 
 %kc:setting
-==== マウスの追跡の有効化 ====
+==== マウスカーソル位置のテキストの通知 ====
 キー: NVDA+M
 
-有効な場合、NVDAはスクリーン内での移動に伴ってマウスポインターが重なったテキストを読み上げます。これにより、マウスを直接動かすか、オブジェクトナビゲーションを用いてスクリーン上にある物を探すことができます。
+有効な場合、NVDAはスクリーン内での移動に伴ってマウスカーソルが重なったテキストを読み上げます。これにより、マウスを直接動かすか、オブジェクトナビゲーションを用いてスクリーン上にある物を探すことができます。
 
 ==== テキストの読み上げ範囲 ====
-もしNVDAがマウス位置のテキストを通知するように設定されていれば、このオプションではマウス移動時のテキストの読み上げ範囲を選択できます。
+もしNVDAがマウスカーソル位置のテキストを通知するように設定されていれば、このオプションではマウスカーソル移動時のテキストの読み上げ範囲を選択できます。
 オプションは、文字、単語、行、段落の中から選択できます。
 
-==== マウスが重なったオブジェクトの通知 ====
-このチェックボックスがチェックされていると、NVDAはマウスが重なったオブジェクトのロール (種類) を通知します。
+==== マウスカーソル位置の要素の種類を通知 ====
+このチェックボックスがチェックされていると、NVDAはマウスカーソルが重なったオブジェクトのロール (種類) を通知します。
 
-==== マウス移動時ビープ音で通知 ====
-このチェックボックスをチェックすると、NVDAはマウスの移動をビープ音で通知します。それにより、利用者はマウスポインターが画面上のどこに位置しているかを知ることができます。
+==== マウスカーソルの座標をビープ音で通知 ====
+このチェックボックスをチェックすると、NVDAはマウスカーソルの移動をビープ音で通知します。それにより、利用者はマウスカーソルが画面上のどこに位置しているかを知ることができます。
 
-==== マウス位置の明るさをビープ音の音量の変化で通知 ====
-'マウス移動時ビープ音で通知'のチェックボックスがチェックされていて、このチェックボックスをチェックした場合、ビープ音のボリュームは、画面上でマウスポインターのある場所の明るさによって制御されます。
+==== マウスカーソル位置の明るさをビープ音の音量で通知 ====
+'マウスカーソルの座標をビープ音で通知'のチェックボックスがチェックされていて、このチェックボックスをチェックした場合、ビープ音の音量は、画面上でマウスカーソルのある場所の明るさによって制御されます。
 この機能はデフォルトではチェックされていません。
 
 +++ レビューカーソル設定 +++
@@ -864,8 +864,8 @@
 
 有効な場合、レビューカーソルは自動的にシステムキャレットが移動した位置へ移動します。
 
-==== マウスに追従 ====
-有効な場合、レビューカーソルはマウスの動きに追従します。
+==== マウスカーソルに追従 ====
+有効な場合、レビューカーソルはマウスカーソルの動きに追従します。
 
 ==== 簡易レビューモード ====
 有効な場合、NVDAはユーザーに無関係なオブジェクト(非表示およびレイアウト用のオブジェクト)を除外して、ナビゲート可能なオブジェクトだけを抽出します。
@@ -876,7 +876,7 @@
 
 ==== ツールチップの通知 ====
 チェックされている場合、NVDAはツールチップが表示されたときにその内容を読み上げます。
-多くのWindowsのコントロールは、マウスポインターをそれらに重ねたり、それらにフォーカスしたりしたとき、簡単なメッセージ (またはツールチップ) を表示します。
+多くのWindowsのコントロールは、マウスカーソルをそれらに重ねたり、それらにフォーカスしたりしたとき、簡単なメッセージ (またはツールチップ) を表示します。
 
 ==== バルーン情報の通知 ====
 このチェックボックスがチェックされている場合、NVDAはバルーン情報が表示されたときにその内容を通知します。
2014-04-25 15:57 Updated by: nishimoto
Comment

レビューカーソル設定のメニュー表記に合わせたユーザーガイドの更新(チケット #33226 で指摘)を以下の通り実行:

Committed revision 15090

Index: userGuide.t2t
===================================================================
--- userGuide.t2t       (revision 15089)
+++ userGuide.t2t       (working copy)
@@ -853,18 +853,18 @@


 %kc:setting
-==== システムフォーカスに追従 ====
+==== システムフォーカスを追跡 ====
 キー: NVDA+7

 有効な場合、フォーカス位置が移動したときに、レビューカーソルも現在システムフォ
ーカスがあるオブジェクトに移動します。

 %kc:setting
-==== システムキャレットに追従 ====
+==== システムキャレットを追跡 ====
 キー: NVDA+6

 有効な場合、レビューカーソルは自動的にシステムキャレットが移動した位置へ移動し
ます。

-==== マウスカーソルに追従 ====
+==== マウスカーソルを追跡 ====
 有効な場合、レビューカーソルはマウスカーソルの動きに追従します。

 ==== 簡易レビューモード ====
2014-04-26 21:27 Updated by: nishimoto
Comment

ユーザーガイドの翻訳の追加

revision 15137

+==== 外部アプリケーションからの文字入力 ====
+スクリーンキーボードや音声認識ソフトウェアなど、外部アプリケーションからの文字
入力をNVDAが処理するかどうかを制御できます。
+このオプションは初期状態で有効です。例えばベトナム語入力システムUnikeyを使う場
合には、不適切な文字入力が起こらないように、このオプションをチェックなしにすると
よいでしょう。
+
2014-04-30 19:32 Updated by: nishimoto
Comment

changes-diffs\10001\changes.t2t の内容(2014.2での追加分)は以下の通りです。

5月15日くらいが翻訳の締切という見込みですが、翻訳を手伝っていただけるかたがいらっしゃればお知らせください。 誰もいないようなら私がやります。 また内容に関する質問は可能な範囲でお答えします。

= 2014.2 =

== New Features ==
- Announcement of text selection is now possible in some custom edit fields where display information is used. (#770)
- In accessible Java applications, position information is now announced for radio buttons and other controls that expose group information. (#3754)
- In accessible Java applications, keyboard shortcuts are now announced for controls that have them. (#3881)
- In browse mode, labels on landmarks are now reported. They are also included in the Elements List dialog. (#1195)
- In browse mode, labelled regions are now treated as landmarks. (#3741)


== Changes ==
- When exiting a dialog or application within a browse mode document, the browse mode document's name and type is no longer announced. (#4069)


== Bug Fixes ==
- The standard Windows System menu is no longer accidentally silenced in Java applications (#3882)
- When copying text from screen review, line breaks are no longer ignored. (#3900)
- Pointless whitespace objects are no longer reported in some applications when the focus changes or when using object navigation with simple review enabled. (#3839)
- Message boxes and other dialogs produced by NVDA again cause previous speech to be canceled before announcing the dialog.
- In browse mode, the labels of controls such as links and buttons are now rendered correctly where the label has been overridden by the author for accessibility purposes (specifically, using aria-label or aria-labelledby). (#1354)
- In Browse mode in Internet Explorer, text contained within an element marked as presentational (aria-presentation) is no longer inappropriately ignored. (#4031)
- It is now again possible to type Vietnamese text using the Unikey software. To do this, uncheck the Handle keys from other applications checkbox, added to NVDA's Keyboard settings dialog. (#4043)
- In browse mode, radio and check menu items are reported as controls instead of just clickable text. (#4092)
- NVDA no longer incorrectly switches from focus mode to browse mode when a radio or check menu item is focused. (#4092)
- In Microsoft PowerPoint with speaking of typed words enabled, characters erased with backspace are no longer announced as part of the typed word. (#3231)
- In Microsoft Office 2010 Options dialogs, the labels of combo boxes are reported correctly. (#4056)
- In browse mode in Mozilla applications, using quick navigation commands to move to the next or previous button or form field now includes toggle buttons as expected. (#4098)
2014-05-01 15:46 Updated by: nishimoto
Comment

予定通り5月14日が翻訳コミットの締切になりました。 以下、告知の引用:

We have now entered the translatable string freeze for NVDA 2014.2.
Translators, you have until UTC 00:00 on 14 May to ensure your
translation is up to date in order for it to be included in NVDA 2014.2.
Work submitted after this time will not be included in NVDA 2014.2.
NVDA committers, other than translation updates, nothing should be
committed to master without approval from Mick or me.

Thanks to everyone for their valuable work!

Jamie
2014-05-01 17:39 Updated by: nishimoto
Comment

Twitter 経由で「とりあえず翻訳をやってみました」というご報告をいただきました。

過去の文体との整合性もあるので、このままでは使わないのですが、参考とさせていただきます:

= 2014.2 =



== 新しい機能 ==

- ディスプレイインフォメーション(情報)が使われているいくつかのカスタムエディットフィールドで文(テキスト)を選べられる(選択できる)ようになった事のお知らせ。(#770)

- アクセッシブル(障害者向け)Javaアプリケーションで、グループ情報を知らせるラジオボタンや他のコントロールの位置情報が知らせられるようになった(#3754)

- ブラウズモードで、目印(ランドマーク)のラベルが伝えられる。それは要素(エレメント)リストダイアログにも含められている。

- ブラウズモードで、ラベル付けられた領域はこれから目印(ランドマーク)として扱われる。(#3741)



== 変わった事 ==

- ブラウズモードのドキュメントのダイアログやアプリケーションから出る時、そのブラウズモードのドキュメントの名前や型(タイプ)はこれからは伝えられない。(#4069)



== バグ直し ==

- Javaのアプリケーションで標準のウィンドウズのメニュー(品書き)はこれから、たまに静まる事は無い。(#3882)

- 画面(スクリーン)レビューから文(テキスト)を写す時、これからは行ブレークが見逃される事はない。(#3900)

- フォーカスが変わった時や、シンプルレビューが効きながら、オブジェクトナビゲーションを使っている時、これからはいくつかのアプリケーションで無駄な空白の物が伝えられる事はない。(#3839)

- また、NVDAが作った、ことづて箱(メッセージボックス)と他のダイアログで、ダイアログを伝える前に、前の話が取り消されるようになった。

- ブラウズモードで 、(特に、アリア―ラベル又はアリア―ラベルドバイを使うと)作者が障害者向けとして作った物に上書きされていたリンクやボタン等のコントロールのラベルが、今は正しく描かれるようになった。(#1354)

- インターネットエクスプローラーでブラウズモードの時に、エレメント(要素)の中に含まれているプレゼンテーショナル(アリア―プレゼンテーション)と印し付けられていた文(テキスト)が、これからは間違って見逃される事は無い。(#4031)

- 今またUnikeyソフトウェアーを使ってベトナムの文(テキスト)を打つ事ができるようになった。これをやるには、NVDAのキーボード設定ダイアログに加えられた、他のアプリケーションからのキーをさばく()チェック箱のチェックを外して下さい。(#4043)

- ブラウズモードで、ラジオとチェックメニュー(品書き)の品(アイテム)がただクリックできる文(テキスト)の代わりにコントロールと伝えられる。(#4092)

- NVDAはこれからラジオまたはチェックメニュー(品書き)の品(アイテム)がフォーカスされた時、間違ってフォーカスモードからブラウズモードに切り替わる事は無い。(#4092)

- これからはマイクロソフトのパワーポイントで打たれた言葉を話すが効いている間、バックスペースで消された文字が打たれた言葉として伝えられる事は無い。(#3231)

- マイクロソフトのオフィス2010のオプションダイアログで、コンボボックスのラベルが正しく伝えられる。(#4056)

- モジラ(Mozilla)のアプリケーションでブラウズモードの間、クイックナビゲーションコマンドを使って次や前のボタンまたはフォームフィールドに移る事に、今はトグルボタンも予想さる物として含まれる。
2014-05-09 14:24 Updated by: nishimoto
  • Resolution Update from None to Fixed
Comment

リビジョン 10034 までの changes.t2t の翻訳案:

Index: changes.t2t
===================================================================
--- changes.t2t	(revision 15356)
+++ changes.t2t	(working copy)
@@ -3,6 +3,39 @@
 
 %!includeconf: ../changes.t2tconf
 
+= 2014.2 =
+
+== 新機能 ==
+- ディスプレイ情報が使われているカスタムエディットフィールドの一部で、テキスト選択の通知が可能になりました。(#770)
+- アクセシブルな Java アプリケーションにおいて、ラジオボタンなどグループ化されたコントロールの位置が通知されるようになりました。(#3754)
+- アクセシブルな Java アプリケーションにおいて、コントロールのキーボードショートカットが通知されるようになりました。(#3881)
+- ブラウズモードにおいて、ランドマークのラベルが通知されるようになりました。この情報は要素リストにも表示されます。(#1195)
+- ブラウズモードにおいて、ラベルのついた領域がランドマークとして扱われるようになりました。(#3741)
+- Internet Explorer のドキュメントやアプリケーションにおいて、ライブ領域(Live Regions, W3c ARIA 標準の一部)をサポートしました。これによりWeb製作者は特定のコンテンツが書き換わったら自動的に読み上げるという記述ができます。(#1846)
+
+
+== 変更点 ==
+- ブラウズモードのドキュメントにおいてダイアログやアプリケーションから抜けるときに、ブラウズモードのドキュメントの名前や種類を通知しないようになりました。(#4069)
+
+
+== バグ修正 ==
+- Javaアプリケーションにおいて標準のWindowsシステムメニューが突然読み上げられなくなる不具合を修正しました。(#3882)
+- 画面レビューでテキストをコピーするときに、改行を無視しないようになりました。(#3900)
+- フォーカスの移動や簡易レビューモードでのオブジェクトナビゲーションにおいて、一部のアプリケーションで無意味な空白オブジェクトを通知しないようになりました。(#3839)
+- NVDAのメッセージボックスやダイアログにおいて、ダイアログの通知を行う前に、直前の読み上げを中断しなかった不具合を修正しました。
+- ブラウズモードにおいて、リンクやボタンなどのコントロールのラベルがアクセシビリティ関連の属性(具体的にはaria-labelやaria-labelledbyなど)でオーバライドされていても適切にレンダリングされるようになりました。(#1354)
+- Internet Explorerのブラウズモードで、プレゼンテーション(ARIA role="presentation")と指定された要素に含まれるテキストが不適切に無視される不具合を修正しました。(#4031)
+- Unikeyソフトウェアによるベトナム語の文字入力の不具合を解決しました。NVDAのキーボード設定「外部アプリケーションからの文字入力」をチェックなしにしてください。(#4043)
+- ブラウズモードにおいて、ラジオボタンとチェックボックスのついたメニュー項目が単なるクリック可能テキストではなくコントロールとして扱われるようになりました。(#4092)
+- ラジオボタンやチェックボックスのついたメニュー項目にフォーカス移動したときに不適切にフォーカスモードからブラウズモードに切り替わる不具合を修正しました。(#4092)
+- Microsoft PowerPoint で「入力文字の読み上げ」が有効の場合に、バックスペースで消去された文字が入力文字列の一部として通知されていた不具合を修正しました。(#3231)
+- Microsoft Office 2010 のオプションのダイアログで、コンボボックスのラベルが適切に通知されるようになりました。(#4056)
+- Mozilla アプリケーションのブラウズモードで、一文字ナビゲーションで前後のボタンやフォームフィールドに移動するときにトグルボタンを無視しないようになりました。(#4098)
+- Mozilla アプリケーションにおけるアラートの内容が2回通知される不具合を修正しました。(#3481)
+- ブラウズモードにおいて、ナビゲーションとページ内容の更新が同時に行われるような場合(例えばFacebookやTwitterのウェブサイト閲覧)に、コンテナとランドマークが不適切に繰り返される不具合を修正しました。(#2199)
+- 応答しなくなったアプリケーションから他のアプリケーションに切り替えたときにNVDAがより適切に処理を再開できるようになりました。(#3825)
+
+
 = 2014.1 =
 
 == 新機能 ==

2014-05-10 19:22 Updated by: nishimoto
Comment

changes.t2t の追加。私が報告した「サクラエディタ」関連の修正です:

- 画面に直接描画される編集可能テキストにおいて「すべて読み上げ」を実行したときに、キャレット(挿入ポイント)が適切に更新されない不具合を修正しました。(#4125)
2014-05-12 15:44 Updated by: nishimoto
  • Ticket Close date is changed to 2014-05-12 15:44
  • Status Update from Open to Closed
Comment

もうやることはなさそうなのでクローズします。

Edit

Please login to add comment to this ticket » Login